
{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{% block title %}{% endblock title %}</title>
    <link rel="stylesheet" href="{% static 'css/recipes.css' %}">
</head>
<body>

    <header>
        <nav class="nav-text">
            <a class="remove" id="new" href="{% url 'recipe_list' %}">Main Page</a>
            {% if user.is_authenticated %}
            <a class="remove" id="new" href="{% url 'create_recipe' %}">Create A Recipe</a>
            <a class="remove" id="new" href="{% url 'my_recipe_list' %}">My recipes</a>
            {% endif %}
            {% if user.is_authenticated %}
            Hello, {{ user.username }}
            <a class="remove" id="new" href="{% url 'user_logout' %}">Logout</a>
            {% else %}
            <a class="remove" id="new" href="{% url 'signup' %}">Sign up</a>
            <a class="remove" id="new" href="{% url 'user_login' %}">Login</a>
            {% endif %}
        </nav>

    </header>
    <main>
        {% block content %}{% endblock content %}
    </main>

    <footer>
        Made with love by Scrumptious Recipes
    </footer>
</body>
</html>
